# for distr selected
%def_with M41
%def_without M40

# for set release
%define release_pre alt
%define release_base_num 3
%define release_suff %nil

# for set distr
%define release_distr_num 2

# set distr
%define distr_switch %nil
%if_with M40
%define distr_switch M40
%endif
%if_with M41
%define distr_switch M41
%endif

%if "%distr_switch" == ""
%define release_num %release_base_num
%define release_distr %nil
%else
%define release_num %(expr %release_base_num - 1)
%define release_distr .%distr_switch.%release_distr_num
%endif

# release_base set
%define release_base %release_pre%release_num%release_distr

# set macros_release
%define macros_release %release_base%release_suff

%define webappdir %webserver_webappsdir/mediawiki

%if "%distr_switch" != ""
# new apache2 macros sets
%define apache2_confdir %a_sysconfdir
%define apache2_dname %a_dname
%define apache2_mods_start %a_mods_start
%define apache2_extra_available %a_extra_available
%endif

Summary: A wiki engine
Name: mediawiki
Version: 1.13.0
Release: %macros_release
License: %gpl2plus
Group: Networking/WWW
Url: http://www.mediawiki.org/

Packager: Aleksey Avdeev <solo@altlinux.ru>

Source0: http://download.wikimedia.org/mediawiki/1.13/%name-%version.tar.gz
Source10: mediawiki-apache2-alt-configs-0.2.tar
Source11: mediawiki-fedora-docs-0.1.tar
Source12: README.ALT-ru_RU.UTF-8
Source2: %name.httpd2.conf
Source3: %name.httpd.conf
Patch0: mediawiki-1.13.0-commoncode.patch

BuildRequires(pre): rpm-macros-webserver-common
BuildPreReq: rpm-build-licenses
BuildPreReq: apache2-devel
%if "%distr_switch" != ""
BuildPreReq: rpm-build-webserver-common
%endif

# Automatically added by buildreq on Tue Jun 03 2008 (-ba)
BuildRequires: ocaml perl-DBI

BuildRequires: ocaml >= 3.06

# to make sure the "%webserver_group" group is created before mediawiki is installed
PreReq: webserver-common
Requires: php-engine >= 5
Requires: php5-mysql, php5-pgsql
Requires: php5-gd2
Requires: diffutils, ImageMagick
#Requires: tetex-latex, tetex-dvips
Requires: apache2-configs-dirs2 >= 2.2.0
Requires: apache2-config-tools >= 0.1.1

%description
MediaWiki is the software used for Wikipedia and the other Wikimedia
Foundation websites. Compared to other wikis, it has an excellent
range of features and support for high-traffic websites using multiple
servers

This package supports wiki farms. Copy %webappdir over to the
desired wiki location and configure it through the web
interface. Remember to remove the config dir after completing the
configuration.

%package apache
Summary: apache-related config
Group: Networking/Other
Requires: %name = %version-%release
Requires: apache apache-mod_php5

%description apache
%summary

%package apache2
Summary: apach2e-related config
Group: Networking/Other
Requires: %name = %version-%release
Requires: apache2 apache2-mod_php5

%description apache2
%summary


%prep
%setup -q
%patch0 -p1 -b .commoncode

%build
cd math
make

%install
mkdir -p %buildroot%_datadir/mediawiki
cp -a * %buildroot%_datadir/mediawiki/

install %SOURCE12 ./
mkdir -p Fedora
pushd Fedora
tar xvSf %SOURCE11
popd

# remove undeeded parts
rm -fr %buildroot%_datadir/mediawiki/{t,test}
rm -fr %buildroot%_datadir/mediawiki/includes/zhtable
find %buildroot%_datadir/mediawiki/ \
  \( -name .htaccess -or -name \*.cmi \) \
  -print0 \
  | xargs -r0 rm

# fix permissions
chmod +x %buildroot%_datadir/mediawiki/bin/*
find %buildroot%_datadir/mediawiki -name \*.pl -print0 | xargs -r0 chmod +x

# move arch dependent parts
if test ! -d %buildroot%_libdir/mediawiki/math; then
  mkdir -p %buildroot%_libdir/mediawiki
  mv %buildroot%_datadir/mediawiki/math \
%buildroot%_libdir/mediawiki/
fi

find %buildroot -name .svnignore -print0 | xargs -r0 rm
find %buildroot -name \*.commoncode -print0 | xargs -r0 rm

mkdir -p %buildroot%webappdir
cd %buildroot%webappdir/
mkdir images
cp -a %buildroot%_datadir/mediawiki/config .
ln -s %_datadir/mediawiki/index.php index.php
ln -s %_datadir/mediawiki/skins skins

mkdir -p %buildroot%apache2_confdir
pushd %buildroot%apache2_confdir
tar xvSf %SOURCE10
popd

install -pD -m0644 %SOURCE2 %buildroot%_sysconfdir/httpd2/conf/addon.d/A.%name.conf
install -pD -m0644 %SOURCE3 %buildroot%_sysconfdir/httpd/conf/addon-modules.d/%name.conf

%post
%_sbindir/a2chkconfig >/dev/null
%post_service %apache2_dname
control apache2-mod_php5 relaxed
%_initdir/httpd2 reload
exit 0

%postun
%_sbindir/a2chkconfig >/dev/null
%post_service %apache2_dname
%_initdir/httpd2 reload
exit 0

%post apache
chown -R root:apache %webappdir
control apache-mod_php5 relaxed
%_initdir/httpd reload

%postun apache
%_initdir/httpd reload

%post apache2
chown -R root:apache2 %webappdir
control apache2-mod_php5 relaxed
%_initdir/httpd2 reload

%postun apache2
%_initdir/httpd2 reload


%files
%doc COPYING FAQ HISTORY README RELEASE-NOTES UPGRADE
%doc Fedora
%doc README.ALT-ru_RU.UTF-8
%dir %_datadir/mediawiki
%dir %_datadir/mediawiki/config
%dir %_datadir/mediawiki/skins
%_datadir/mediawiki
%_libdir/mediawiki
%attr(2770,root,%webserver_group) %dir %webappdir
%attr(2770,root,%webserver_group) %dir %webappdir/config
%attr(2770,root,%webserver_group) %dir %webappdir/images
%webappdir
%webappdir/config/*

%files apache
%config(noreplace) %_sysconfdir/httpd/conf/addon-modules.d/%name.conf

%files apache2
%config(noreplace) %_sysconfdir/httpd2/conf/addon.d/A.%name.conf

%changelog
* Mon Jan 26 2009 Alexandra Panyukova <mex3@altlinux.ru> 1.13.0-alt2.M41.2
- post and upload limits increased to 5M

* Fri Oct 10 2008 Alexandra Panyukova <mex3@altlinux.ru> 1.13.0-alt2.M41.1
- Build for M41

* Tue Sep 09 2008 Aleksey Avdeev <solo@altlinux.ru> 1.13.0-alt2.M40.1
- Backports to 4.0

* Thu Sep 04 2008 Aleksey Avdeev <solo@altlinux.ru> 1.13.0-alt3
- Add README.ALT-ru_RU.UTF-8

* Wed Sep 03 2008 Aleksey Avdeev <solo@altlinux.ru> 1.13.0-alt2
- Removed Requires: tetex-latex, tetex-dvips
- Fix aliases.

* Sat Aug 30 2008 Aleksey Avdeev <solo@altlinux.ru> 1.13.0-alt1
- Update to 1.13.0.

* Tue Jun 03 2008 Aleksey Avdeev <solo@altlinux.ru> 1.10.4-alt1
- First build for ALT.

